GroovyPageLayoutFinder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GroovyPageLayoutFinder

    java.lang.Object
      org.codehaus.groovy.grails.web.sitemesh.GroovyPageLayoutFinder

    public class GroovyPageLayoutFinder
    extends java.lang.Object

Provides the logic for GrailsLayoutDecoratorMapper without so many ties to the Sitemesh API.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `LAYOUT_ATTRIBUTE`
`static java.lang.String` | `NONE_LAYOUT`
`static java.lang.String` | `RENDERING_VIEW_ATTRIBUTE`

Method Summary
`com.opensymphony.module.sitemesh.Decorator` | `findLayout(javax.servlet.http.HttpServletRequest request, com.opensymphony.sitemesh.Content page)`
`com.opensymphony.module.sitemesh.Decorator` | `findLayout(javax.servlet.http.HttpServletRequest request, com.opensymphony.module.sitemesh.Page page)`
`protected com.opensymphony.module.sitemesh.Decorator` | `getApplicationDefaultDecorator(javax.servlet.http.HttpServletRequest request)`
`com.opensymphony.module.sitemesh.Decorator` | `getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name)`
`com.opensymphony.module.sitemesh.Decorator` | `getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name, boolean viewMustExist)`
`void` | `setCacheEnabled(boolean cacheEnabled)`
`void` | `setDefaultDecoratorName(java.lang.String defaultDecoratorName)`
`void` | `setEnableNonGspViews(boolean enableNonGspViews)`
`void` | `setGspReloadEnabled(boolean gspReloadEnabled)`
`void` | `setViewResolver(org.springframework.web.servlet.ViewResolver viewResolver)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### LAYOUT_ATTRIBUTE

    public static final java.lang.String LAYOUT_ATTRIBUTE

### NONE_LAYOUT

    public static final java.lang.String NONE_LAYOUT

### RENDERING_VIEW_ATTRIBUTE

    public static final java.lang.String RENDERING_VIEW_ATTRIBUTE

Method Detail

### findLayout

    public com.opensymphony.module.sitemesh.Decorator findLayout(javax.servlet.http.HttpServletRequest request, com.opensymphony.sitemesh.Content page)

### findLayout

    public com.opensymphony.module.sitemesh.Decorator findLayout(javax.servlet.http.HttpServletRequest request, com.opensymphony.module.sitemesh.Page page)

### getApplicationDefaultDecorator

    protected com.opensymphony.module.sitemesh.Decorator getApplicationDefaultDecorator(javax.servlet.http.HttpServletRequest request)

### getNamedDecorator

    public com.opensymphony.module.sitemesh.Decorator getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name)

### getNamedDecorator

    public com.opensymphony.module.sitemesh.Decorator getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name, boolean viewMustExist)

### setCacheEnabled

    public void setCacheEnabled(boolean cacheEnabled)

### setDefaultDecoratorName

    public void setDefaultDecoratorName(java.lang.String defaultDecoratorName)

### setEnableNonGspViews

    public void setEnableNonGspViews(boolean enableNonGspViews)

### setGspReloadEnabled

    public void setGspReloadEnabled(boolean gspReloadEnabled)

### setViewResolver

    public void setViewResolver(org.springframework.web.servlet.ViewResolver viewResolver)

Groovy Documentation